*, html {
    box-sizing: border-box;
    letter-spacing: 1.5px;
}

body {
  font-family: Pangea Afrikan, Segoe UI, Helvetica, Arial, sans-serif;
  padding: 0;
  margin: 0;
}

button {
    
}

a {
  text-decoration: none;
}

.modal {
  width: 98%;
  height: 90%;
}

.container {
  /*padding: 4px;*/
  /*background-color: #e5e7eb;*/
  margin: auto;
  width: 100%;
}

.hero {
  background-repeat: no-repeat;
  background-size: 100% 400px;
  background-position: top;
  background-color: #ffff;
  height: 350px;
  width: 350px;
  margin: -80px auto;
}

.hero-overlay {
  height: 350px;
  width: 100%;
  background-color:black;
  opacity: 0.2;
}

.hero-heading {
  text-align: center;
  margin: 160px auto 20px;
  color: white;
  font-size: 22px;
  font-weight: bold;
}

.nav-bar {
  display: flex;
  justify-content: space-between;
  padding: 5px;
  margin: auto;
  width: 98%;
}

/* Hidden scroll bar */
.hidden-scrollbar::-webkit-scrollbar {
  display: none; /* chrome, opera, safari */
}

.hidden-scrollbar {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

#booking-form {
  background-color: white;
  padding: 20px;
  width: 95%;
  max-width: 500px;
  margin: 15px auto 50px auto;
  border: solid 1px gray;
}

.form {
  background-color: white;
  padding: 20px;
  width: 95%;
  max-width: 400px;
  margin: auto;
  border: solid 1px gray;
}

.admin-prompt {
  margin: 35px auto;
}

.apart-section {
  margin-top: 120px;
}

.apart-flex-box {
  display: flex;
  justify-content: flex-start;
  gap: 10px; 
  flex-wrap: nowrap;
  flex-direction: row;
  overflow: scroll;
  height: 480px;
  width: 100%;
  overflow-x: scroll;
  padding: 20px;
}

.product-list-container {
  display: flex;
  justify-content: space-between;
  gap: 3px;
  flex-wrap: wrap;
  width: 98%;
  margin: auto;
}

.product-card {
  width: 49%;
  margin: 8px auto;
}

.product-image {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 220px;
  flex-shrink: 0;
}

.product-info {
  /* height: 40%; */
  background-color:black;
  opacity: 0.8;
  padding: 4px;
}

.promo-card {
  background-color: black;
  padding: 20px;
  border-radius: 20px;
  width: 98%;
  margin: auto;
  text-align: center;
  color: white;
}

.promo-info {
  border-left: 8px solid grey;
  width: 100%;
  max-width: 250px;
  margin: 20px auto;
  padding: 8px;
}

.promo-hr {
  border: 2px solid white;
}

.review-box {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 18px;
  background-color: #101c27;
  padding: 18px;
  border-radius: 10px;
  margin: 30px auto;
  width: 98%;
}

.review-card {
  display: flex;
  justify-content: flex-start;
  gap: 8px;
  border: 1px solid #101c27;
  border-radius: 8px;
  width: 100%;
  max-width: 350px;
}

.main-footer {
  position: relative;
  margin-top: 60px;
  margin-bottom: 72px;
  width: 100%;
  background: #000;
  padding: 5px;
}

.footer-button {
  position: fixed; 
  bottom: 0; 
  width: 100%;
}

.large-heading {
    font-size: 1.5rem;
    font-weight: bolder;
}

.medium-heading {
    font-size: 1.2rem;
    font-weight: bold;
}

.small-heading {
    font-size: 1rem;
    font-weight: 700;
}

.large-text {
    font-size: 1.5rem;
}

.medium-text {
    font-size: 1.2rem;
}

.small-text {
    font-size: 1rem;
}

.smaller-text {
    font-size: 0.8rem;
}

.loader {
  display: none;
  margin: auto 20px;
  border: 2px solid #f3f3f3;
  border-radius: 50%;
  border-top: 2px solid black;
  width: 13px;
  height: 13px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


@media screen and (min-width: 600px) {
  .modal {
    width: 450px;
  }

  .container {
    width: 600px;
  }

  .hero {
    background-size: cover;
    background-position: center;
    height: 450px;
    width: 600px;
  }

  /*
  .hero {
    background-repeat: no-repeat;
    background-position: top;
    background-color: #ffff;
    height: 350px;
    width: 350px;
    margin: -80px auto;
  }
  */

  .hero-heading {
    margin: 200px auto 60px;
    font-size: 30px;
  }

  .form {
    width: 450px;
  }

  .hero-overlay {
    height: 100%;
  }

  .nav-bar {
    width: 600px;
  }

  .apart-section {
    margin-top: 150px;
  }

  .apart-flex-box {
    height: 400px;
    padding: 5px;
  }

  .product-list-container {
    display: flex;
    justify-content: space-between;
    gap: 3px; 
    flex-wrap: wrap;
    width: 98%;
    margin: auto;
  }

  .product-card {
    width: 200px;
  }

  .apartment-card-lower-half {
    height: 50%;
  }

  .review-box {
    padding: 18px 30px;
    width: 100%;
  }

  .review-card {
    width: 250px;
  }

  .main-footer {
    margin-bottom: 0px;
  }

  .footer-button {
    display: none;
    width: 600px;
  }
}

@media screen and (min-width: 1200px) {
  .container {
    width: 900px;
  }

  .nav-bar {
    width: 900px;
  }

  .footer-button {
    width: 900px;
  }
}


/* Loader */
/* Center the loader */
#loader {
  position: fixed;
  left: 50%;
  top: 40%;
  z-index: 1;
  width: 50px;
  height: 50px;
  margin: auto;
  border: 4px solid #f3f3f3;
  border-radius: 50%;
  border-top: 4px solid #2c2d2e;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
  animation-delay: -2s;
}

#button-loader {
  width: 20px;
  height: 20px;
  margin: auto;
  border: 2px solid #f3f3f3;
  border-radius: 50%;
  border-top: 2px solid #2c2d2e;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* Add animation to "page content" */
.animate-bottom {
  position: relative;
  -webkit-animation-name: animatebottom;
  -webkit-animation-duration: 1s;
  animation-name: animatebottom;
  animation-duration: 1s
}

@-webkit-keyframes animatebottom {
  from { bottom:-100px; opacity:0 } 
  to { bottom:0px; opacity:1 }
}

@keyframes animatebottom { 
  from{ bottom:-100px; opacity:0 } 
  to{ bottom:0; opacity:1 }
}

#loaderDiv {
  display: none;
  text-align: center;
}